Name:           darkserver
Version:        0.8.2
Release:        1%{?dist}
Summary:        GNU build-id service
Group:          Applications/Publishing
License:        GPLv2+
URL:            https://github.com/kushaldas/darkserver
Source0:        http://kushal.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools python2-devel

Requires:       Django
Requires:       httpd
Requires:       mod_wsgi
Requires:       mysql
Requires:       MySQL-python

%description
Service to provide details of GNU build-id. This is a Django based web-service
which keeps records of GNU build-ids of various ELF files imported from RPMs
and provide them in JSON format through web.

%prep
%setup -q


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README

%{_sbindir}/darkserver.wsgi
%config                %{_sysconfdir}/%{name}/settings*
%config(noreplace)     %{_sysconfdir}/%{name}/darkserverweb.conf
%config(noreplace)     %{_sysconfdir}/httpd/conf.d/darkserver-httpd.conf
%dir %{_sysconfdir}/%{name}
%dir %{python_sitelib}/darkserverweb/
%dir %{python_sitelib}/darkserverweb/buildid/
%dir %{_datadir}/darkserver/
%dir %{_datadir}/darkserver/static/
%{python_sitelib}/darkserverweb/*.py*
%{python_sitelib}/darkserverweb/buildid/*.py*
%{_datadir}/darkserver/static/*.*
%{python_sitelib}/darkserver*.egg-info

%package importer
Summary: The importer system for darkserver
Requires:       redis
Requires:       wget
Requires:       python-retask
Requires:       python-cmd2
Requires:       python-requests
Requires:       python-BeautifulSoup
Requires:       koji
Requires:       elfutils rpmdevtools MySQL-python
Requires:       mysql


%description importer
Importer commands
%files importer
%config(noreplace)     %{_sysconfdir}/%{name}/darkjobworker.conf
%config                %{_sysconfdir}/%{name}/dark-distros.json
%config                %{_sysconfdir}/%{name}/redis_server.json
%config                %{_sysconfdir}/%{name}/email.json
%{_sbindir}/darkjobworker
%{_sbindir}/darkproducer
%{_sbindir}/darkbuildqueue
%{_sbindir}/darkdashboard
%dir %{python_sitelib}/darkimporter/
%{python_sitelib}/darkimporter/*.py*



%changelog
* Sat Mar 16 2013 Kushal Das <kushal@fedoraproject.org> - 0.8.2-1
- Updated the source to 0.8.2, fixes url import issue

* Sat Mar 16 2013 Kushal Das <kushal@fedoraproject.org> - 0.8.1-1
- Updated the source to 0.8.1, removed xmlrpc

* Wed Jan 30 2013 Kushal Das <kushal@fedoraproject.org> - 0.8-1
- Updated the source to 0.8

* Sat Dec 08 2012 Kushal Das <kushal@fedoraproject.org> - 0.7-1
- Updated the source to 0.7

* Sat Nov 17 2012 Kushal Das <kushal@fedoraproject.org> - 0.6-1
- Updated the source to 0.6

* Wed May 02 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.4-1
- Updated the source to 0.5.4, for bz#817625

* Thu Mar 22 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.3-1
- Updated the source to 0.5.3, for bz#806013

* Thu Mar 22 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.2-1
- Updated the source to 0.5.2

* Wed Mar 14 2012 Kushal Das <kushal@fedoraproject.org> - 0.5.1-1
- Updated the source to 0.5.1

* Wed Mar 14 2012 Kushal Das <kushal@fedoraproject.org> - 0.5-1
- Updated the source to 0.5, subpackage kojiplugin

* Tue Mar 13 2012 Kushal Das <kushal@fedoraproject.org> - 0.4.1-1
- Updated the source to 0.4.1, fixed syncdb issue

* Tue Mar 13 2012 Kushal Das <kushal@fedoraproject.org> - 0.4-1
- Updated the source to 0.4, removed the subpackage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 27 2011 Kushal Das <kushal@fedoraproject.org> - 0.3-1
- New release of the source

* Tue Dec 05 2011 Kushal Das <kushal@fedoraproject.org> - 0.2-1
- New release of the source

* Tue Nov 22 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-3
- Fixing the dir issues from bz#752771

* Fri Nov 11 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-2
- fixing the spec file better description and other ideas
  from review request bz#752771

* Thu Nov 10 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-1
- initial release
